Package net.shibboleth.idp.consent.context

# Class ConsentContext

java.lang.Object
org.opensaml.messaging.context.BaseContext
net.shibboleth.idp.consent.context.ConsentContext

All Implemented Interfaces:
  `Iterable<BaseContext>`

public final class ConsentContext extends BaseContext
Context representing the state of a consent flow. Holds consent previously given as well as obtained from user input.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.opensaml.messaging.context.BaseContext

`BaseContext.ContextSetNoRemoveIteratorDecorator, BaseContext.DeprecatedContextClassNameLookAside`

## Field Summary

Fields
Modifier and Type
Field
Description
`private Map<String,Consent>`
`currentConsents`
Map of current consent extracted from user input and keyed by consent id.
`private Map<String,Consent>`
`previousConsents`
Map of previous consent read from storage and keyed by consent id.

## Constructor Summary

Constructors
Constructor
Description
`ConsentContext()`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`Map<String,Consent>`
`getCurrentConsents()`
Get map of current consent extracted from user input and keyed by consent id.
`Map<String,Consent>`
`getPreviousConsents()`
Get map of previous consent read from storage and keyed by consent id.
`String`
`toString()`

### Methods inherited from class org.opensaml.messaging.context.BaseContext

`addSubcontext, addSubcontext, clearSubcontexts, containsSubcontext, createSubcontext, ensureSubcontext, ensureSubcontext, getParent, getSubcontext, getSubcontext, getSubcontext, getSubcontext, iterator, removeFromParent, removeSubcontext, removeSubcontext, setParent`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

## Field Details

### previousConsents

@Nonnull @Live private Map<String,Consent> previousConsents
Map of previous consent read from storage and keyed by consent id.

### currentConsents

@Nonnull @Live private Map<String,Consent> currentConsents
Map of current consent extracted from user input and keyed by consent id.

## Constructor Details

### ConsentContext

public ConsentContext()
Constructor.

## Method Details

### getCurrentConsents

@Nonnull @Live public Map<String,Consent> getCurrentConsents()
Get map of current consent extracted from user input and keyed by consent id.

Returns:
  map of current consent extracted from user input and keyed by consent id

### getPreviousConsents

@Nonnull @Live public Map<String,Consent> getPreviousConsents()
Get map of previous consent read from storage and keyed by consent id.

Returns:
  map of previous consent read from storage and keyed by consent id

### toString

public String toString()

Overrides:
  `toString` in class `Object`